<?xml version="1.0" encoding="utf-8"?>
<OptionList ID="/baanerp/tt/domains/adv.trel" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Type of relation (BOR)</Title>
	</Header>
	<SimpleSection><Paragraph class="Default">The following relation types exist between <Link href="/baanerp/tt/glossary/glossary#100032" role="glossary">business objects</Link>. These relations are defined on the attributes of the business objects.</Paragraph>
	</SimpleSection>
	<ListValue ID="associative"><Value>Associative</Value>
		<Paragraph class="Default">A one-to-one relation between two business objects. One attribute of a business object points to one attribute of another business object. For example, the Currency attribute of the Sales Order business object points to a Currency Code and Description of the Currency business object.</Paragraph>
	</ListValue>
	<ListValue ID="aggregational"><Value>Aggregational (also called multi-associative)</Value>
		<Paragraph class="Default">A one-to-many relation between two business objects. Several attributes of a business object point to several occurrences of one attribute of the related business object. For example, the Sales Order business object has the attributes Sold To Business Partner and Pay By Business Partner. Each of these attributes points to the Business Partner Code attribute of the Business Partners business object, but they point to different occurrences of that attribute, that is, they can point to different business partners.</Paragraph>
	</ListValue>
	<ListValue ID="abstraction"><Value>Abstraction</Value>
		<Paragraph class="Default">A relation between a business object and a related business object that depends on the value of the attribute on which the relation is defined. For example, the Inventory Transactions business object has a relation to the Purchase Order business object. However, this relation is defined on the Order Type attribute of the Inventory Transactions business object, and the relation only exists if the value of that attribute is "purchase". Note that the attribute whose value sustains the relation can belong to either of the business objects. Note that it is also possible that this attribute is fixed, in stead of variable.</Paragraph>
	</ListValue>
</OptionList>
